> For the complete documentation index, see [llms.txt](https://docs.facephi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facephi.com/docs.facephi-en/rest-api/identity-api/identity-api-reference/users/users-blacklists/unenroll-user-blacklist.md).

# Unenroll User Blacklist

Deletes a user's record from the blacklist. Only the client that originally registered the face can perform this operation.

### Endpoint

```
DELETE /users/blacklist/{userId}
```

### Authentication

| Type    | Location | Name          |
| ------- | -------- | ------------- |
| API Key | Header   | **x-api-key** |

### Path parameters

| Parameter | Type   | Required | Description                                  |
| --------- | ------ | -------- | -------------------------------------------- |
| `userId`  | string | **Yes**  | ID of the user to remove from the blacklist. |

### Responses

#### `200` Success

User successfully removed from the blacklist. This response does not include a body.

#### `400` Bad Request

```json
{
  "status": 400,
  "title": "Bad Request",
  "detail": "Invalid request.",
  "type": "https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/400",
  "errors": []
}
```

#### `401` Unauthorized

```json
{
  "message": "Unauthorized"
}
```

#### `403` Forbidden

```json
{
  "Message": "User is not authorized to access this resource with an explicit deny"
}
```

#### `404` Not Found

```json
{
  "status": 404,
  "title": "Not Found",
  "detail": "The server can't find the requested resource.", 
  "type": "https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/404"
}
```
